# Uses of Interface
java.lang.classfile.attribute.RuntimeVisibleParameterAnnotationsAttribute

Packages that use RuntimeVisibleParameterAnnotationsAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of RuntimeVisibleParameterAnnotationsAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type RuntimeVisibleParameterAnnotationsAttribute
Modifier and Type
Method
Description
`static AttributeMapper<RuntimeVisibleParameterAnnotationsAttribute>`
Attributes.`runtimeVisibleParameterAnnotations()`
Returns the mapper for the `RuntimeVisibleParameterAnnotations` attribute.

## Uses of RuntimeVisibleParameterAnnotationsAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type RuntimeVisibleParameterAnnotationsAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`RuntimeVisibleParameterAnnotationsAttribute`
Models the `RuntimeVisibleParameterAnnotations` attribute (JVMS 4.7.18), which stores declaration annotations on the method parameters of this method that are visible to both `class` file consumers and core reflection.
Methods in java.lang.classfile.attribute that return RuntimeVisibleParameterAnnotationsAttribute
Modifier and Type
Method
Description
`static RuntimeVisibleParameterAnnotationsAttribute`
RuntimeVisibleParameterAnnotationsAttribute.`of(List<List<Annotation>> parameterAnnotations)`
Returns a `RuntimeVisibleParameterAnnotations` attribute.